commit: b2a63352b5636ed0ad3e1481777438d375500af8
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed May 20 09:29:39 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed May 20 09:30:16 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b2a63352
app-arch/libarchive: Reenable tests
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
app-arch/libarchive/libarchive-3.4.3.ebuild | 18 ++++++++++++------
1 file changed, 12 insertions(+), 6 deletions(-)
diff --git a/app-arch/libarchive/libarchive-3.4.3.ebuild
b/app-arch/libarchive/libarchive-3.4.3.ebuild
index 7eb40b6533f..dde837017a8 100644
--- a/app-arch/libarchive/libarchive-3.4.3.ebuild
+++ b/app-arch/libarchive/libarchive-3.4.3.ebuild
@@ -41,10 +41,6 @@ PATCHES=(
"${FILESDIR}"/${PN}-3.3.3-libressl.patch
)
-# Various test problems, starting with the fact that sandbox
-# explodes on long paths. https://bugs.gentoo.org/598806
-RESTRICT="test"
-
src_prepare() {
default
elibtoolize # is required for Solaris sol2_ld linker fix
@@ -97,9 +93,19 @@ multilib_src_compile() {
fi
}
+src_test() {
+ mkdir -p "${T}"/bin || die
+ # tests fail when lbzip2[symlink] is used in place of ref bunzip2
+ ln -s "${BROOT}/bin/bunzip2" "${T}"/bin || die
+ local -x PATH=${T}/bin:${PATH}
+ multilib-minimal_src_test
+}
+
multilib_src_test() {
- # Replace the default src_test so that it builds tests in parallel
- multilib_is_native_abi && emake check
+ # sandbox is breaking long symlink behavior
+ local -x SANDBOX_ON=0
+ local -x LD_PRELOAD=
+ emake check
}
multilib_src_install() {